optics-core-0.4.1.1: Optics as an abstract interface: core definitions

Safe Haskell | None
Language | Haskell2010

Data.Either.Optics

Description

This module defines `Prism`s for the constructors of the `Either` datatype.

Synopsis

- _Left :: Prism (Either a b) (Either c b) a c
- _Right :: Prism (Either a b) (Either a c) b c

# Documentation

_Left :: Prism (Either a b) (Either c b) a c Source #

A `Prism` that matches on the `Left` constructor of `Either`.

_Right :: Prism (Either a b) (Either a c) b c Source #

A `Prism` that matches on the `Right` constructor of `Either`.